<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package WP-Trucker
 */

get_header(); ?>

<!--blog-page-content-->
<div class="blog-page blog-detail-page main-container space" id="container">
    <div class="container">
        <div class="blog-post-templare  row animate" data-anim-type="fadeIn" data-anim-delay="300">
            <!--blog-post-->
            <!--sidebar-->
            <?php if(get_theme_mod('wp_trucker_single_post_page_sidebar_layout') and get_theme_mod('wp_trucker_single_post_page_sidebar_layout') == "singel_right_sidebar") : ?>
                <div class="col-md-8 single-blog">
                    <?php
                    while ( have_posts() ) : the_post();

                        get_template_part( 'template-parts/content', 'single' );

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                    endwhile; // End of the loop.
                    ?>
                </div>
                <div class="col-md-4 sidebar">
                    <?php get_sidebar(); ?>
                </div>
            <?php endif; ?>

            <?php if( ! get_theme_mod('wp_trucker_single_post_page_sidebar_layout') && 
                      ! get_theme_mod('wp_trucker_single_post_page_sidebar_layout') == "singel_right_sidebar" && 
                      ! get_theme_mod('wp_trucker_single_post_page_sidebar_layout') == "singel_left_sidebar" &&
                      ! get_theme_mod('wp_trucker_single_post_page_sidebar_layout') == "singel_no_sidebar") : ?>
                <div class="col-md-8 single-blog">
                    <?php
                    while ( have_posts() ) : the_post();

                        get_template_part( 'template-parts/content', 'single' );

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                    endwhile; // End of the loop.
                    ?>
                </div>
                <div class="col-md-4 sidebar">
                    <?php get_sidebar(); ?>
                </div>
            <?php endif; ?>


            <?php if(get_theme_mod('wp_trucker_single_post_page_sidebar_layout') and get_theme_mod('wp_trucker_single_post_page_sidebar_layout') == "singel_left_sidebar") : ?>
                <div class="col-md-4 sidebar">
                    <?php get_sidebar(); ?>
                </div>
                <div class="col-md-8 single-blog">
                    <?php
                    while ( have_posts() ) : the_post();

                        get_template_part( 'template-parts/content', 'single' );

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                    endwhile; // End of the loop.
                    ?>
                </div>
            <?php endif; ?>

            <?php if(get_theme_mod('wp_trucker_single_post_page_sidebar_layout') and get_theme_mod('wp_trucker_single_post_page_sidebar_layout') == "singel_no_sidebar") : ?>
                <div class="col-md-12 single-blog">
                    <?php
                    while ( have_posts() ) : the_post();

                        get_template_part( 'template-parts/content', 'single' );

                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                    endwhile; // End of the loop.
                    ?>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<!--blog-page-content-->

<?php get_footer(); ?>